#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/autoconf.h>

#if defined (CONFIG_MODVERSIONS) && !defined(MODVERSIONS)
#define MODVERSIONS
#endif

#ifdef MODVERSIONS
#include <linux/modversions.h>
#endif


#ifdef MODULE

static int io[3] = { [0 ... 2] = 0};


MODULE_AUTHOR      ("Stefan Vietinghoff");
MODULE_DESCRIPTION ("LCD-Display DG 036 Z driver");
MODULE_PARM_DESC   (io, "Base I/O address (LPT)");
MODULE_PARAM       (io, "1-3" "i");


int init_module (void)
{
  printk ("DG 036 Z driver loaded");
  return 0;
}


void cleanup_module (void)
{
}

#endif
